## ros-foxy-robot-controllers-interface 0.8.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(robot_controllers_interface)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(robot_controllers_msgs REQUIRED)

include_directories(
  include
)

add_library(robot_controllers_interface SHARED
  src/controller_loader.cpp
  src/controller_manager.cpp
)
ament_target_dependencies(robot_controllers_interface
  pluginlib
  rclcpp
  robot_controllers_msgs
)
target_compile_definitions(robot_controllers_interface PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS robot_controllers_interface
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/robot_controllers_interface
)

install(
  PROGRAMS
    scripts/get_controller_state.py
    scripts/start_controller.py
    scripts/stop_controller.py
  DESTINATION
    lib/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_cpplint)
  ament_cpplint(FILTERS "-whitespace/braces" "-whitespace/newline")
endif()

ament_export_include_directories(include)
ament_export_libraries(robot_controllers_interface)
ament_export_dependencies(
  pluginlib
  rclcpp
  robot_controllers_msgs
)
ament_package()

=== debian/changelog ===
ros-foxy-robot-controllers-interface (0.8.1-1focal) focal; urgency=high

  * add Fergs as maintainer (#65 <https://github.com/fetchrobotics/robot_controllers/issues/65>)
  * additional boost disabling (#64 <https://github.com/fetchrobotics/robot_controllers/issues/64>)
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 02 Dec 2020 05:00:00 -0000

ros-foxy-robot-controllers-interface (0.8.0-1focal) focal; urgency=high

  * Add initial support for ROS2
  * implement getJointNames/getControllerNames (#51 <https://github.com/fetchrobotics/robot_controllers/issues/51>)
    this was discussed in #39 <https://github.com/fetchrobotics/robot_controllers/issues/39>
  * Merge pull request #47 <https://github.com/fetchrobotics/robot_controllers/issues/47> from mikeferguson/ros2
  * improve logging
  * switch to service interface
  * gravity compensation controller working in ros2
  * Various bug and API fixes
  * Added gyro interface to robot controllers (#43 <https://github.com/fetchrobotics/robot_controllers/issues/43>)
  * Updates maintainers
  * Contributors: Alex Moriarty, Carl Saldanha, Michael Ferguson, Russell Toris

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 25 Nov 2020 05:00:00 -0000

ros-foxy-robot-controllers-interface (0.6.0-1focal) focal; urgency=high

  * updates ownership
  * Contributors: Russell Toris

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 11 Jul 2018 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.5.3-1focal) focal; urgency=high

  * add error message when pluginlib fails
  * fix cmake warnings on kinetic (#28 <https://github.com/fetchrobotics/robot_controllers/issues/28>)
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 11 Jun 2017 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.5.2-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 18 Jul 2016 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.5.1-1focal) focal; urgency=high

  * Dynamically load controllers (#23 <https://github.com/fetchrobotics/robot_controllers/issues/23>)
    * When requested controller not in default list, check parameter server for controller
    * Controller loader catches pluginlib exception when trying to load bad controller
  * Return controller states even if update fails
  * Contributors: Michael Ferguson, Sarah Elliott

 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 18 Jul 2016 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.5.0-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 21 Feb 2016 05:00:00 -0000

ros-foxy-robot-controllers-interface (0.4.3-1focal) focal; urgency=high

  * add mainpage to doxygen
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 05 Dec 2015 05:00:00 -0000

ros-foxy-robot-controllers-interface (0.4.2-1focal) focal; urgency=high

  * add -Wall to interface package
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 22 Oct 2015 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.4.1-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 12 Jun 2015 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.4.0-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 23 May 2015 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.3.4-1focal) focal; urgency=high

  * add ability to reset controllers
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 22 May 2015 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.3.3-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 03 May 2015 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.3.2-1focal) focal; urgency=high

  * install scripts
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 09 Apr 2015 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.3.1-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 28 Mar 2015 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.3.0-1focal) focal; urgency=high

  * improve windup support
  * fix potential build issue
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.1.4-1focal) focal; urgency=high

  * add action server for get/set of controller state
  * make autostart actually work
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 13 Mar 2015 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.1.3-1focal) focal; urgency=high

  * additional logging when requestStart() fails
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 28 Jan 2015 05:00:00 -0000

ros-foxy-robot-controllers-interface (0.1.2-1focal) focal; urgency=high

  * install robot_controllers_interface
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 06 Jan 2015 05:00:00 -0000

ros-foxy-robot-controllers-interface (0.1.1-1focal) focal; urgency=high

  * initial release
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 05 Jan 2015 05:00:00 -0000

=== debian/control ===
Source: ros-foxy-robot-controllers-interface
Section: misc
Priority: optional
Maintainer: Russell Toris <rtoris@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-cpplint, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-robot-controllers-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-robot-controllers-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-robot-controllers-msgs, ros-foxy-ros-workspace
Description: Generic framework for robot controls.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-robot-controllers-interface//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
